Subject: Re: bug#6999: 23.2; [PATCH] appt ignores included diary files

From: Glenn Morris <[email-masked]>
Date: Mon, 13 Sep 2010 20:24:13 -0400

Leo wrote:

> -  (and (string-equal buffer-file-name (expand-file-name diary-file))
> +  (and (or (string-equal buffer-file-name (expand-file-name diary-file))
> +           (eq major-mode 'diary-mode))

There's no particular reason that the included diary files should be
being visited in diary-mode. I'll try to find a different fix (I'm
thinking maybe running diary-list-entries should store a list of any
include files that were found).